using Tiobon.Core.Common;
using Tiobon.Core.IServices.BASE;
using Tiobon.Core.Model;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Model.ViewModels.Extend;

namespace Tiobon.Core.IServices;

/// <summary>
/// 简历模板(自定义服务接口)
/// </summary>	
public interface IGhrh_ResumeTemplateServices : IBaseServices<Ghrh_ResumeTemplate, Ghrh_ResumeTemplateDto, InsertGhrh_ResumeTemplateInput, EditGhrh_ResumeTemplateInput>
{
    Task<ServiceResult> SwitchPublish(long id, int? isPublish);

    Task<ServiceResult<List<Ghrh_ResumeInfoGroupDto>>> QueryGroup(QueryForm filter);

    Task<ServiceResult> PhotoSwitch(long id, int? photoType);

    Task<ServiceResult> ColumnMove(long id, List<ResumeTemplateColumnMove> columns);

    Task<ServiceResult<List<ResumeTemplateGroupColumn>>> QueryTemplateColumn(QueryForm filter);

    Task<ServiceResult> ExceteTemplateColumnChange(QueryForm filter);

    Task<ServiceResult<Ghrh_ResumeInfoColumnDto>> QueryTemplateColumnSingle(QueryForm filter);

    Task<ServiceResult> PT_GHR30_StaffTemplate_IUD(QueryForm1 filter);
}